<?
$result 		= trim( $_POST["result"] );	
$authyn 		= trim( $_POST["authyn"] );	
$resultcd 		= trim( $_POST["resultcd"] );	
$ordno 		= trim( $_POST["ordno"] );	
$amt 		= trim( $_POST["amt"] );	
$trno 		= trim( $_POST["trno"] );	
$trddt 		= trim( $_POST["trddt"] );	
$trdtm 		= trim( $_POST["trdtm"] );	
$authno 		= trim( $_POST["authno"] );	
$isscd 		= trim( $_POST["isscd"] );	
$aqucd 		= trim( $_POST["aqucd"] );	
$cbtrno 		= trim( $_POST["cbtrno"] );	
?>
<script language="javascript">
// 현금영수증 출력 스크립트
function CashreceiptView(tr_no)
{
    receiptWin = "http://nims.ksnet.co.kr/pg_infoc/src/bill/ps2.jsp?s_pg_deal_numb="+tr_no;
    window.open(receiptWin , "" , "scrollbars=no,width=434,height=580");
}
// 신용카드 영수증 출력 스크립트
function receiptView(tr_no)
{
	receiptWin = "http://nims.ksnet.co.kr/pg_infoc/src/bill/credit_view.jsp?tr_no="+tr_no;
    window.open(receiptWin , "" , "scrollbars=no,width=434,height=700");
}
-->
</script>

				<table width=400 border=0 cellpadding=0 cellspacing=0>
					<tr>
						<td class=clsright width=150>결제형태 : </td>
						<td class=clsleft width=250>
						<?
						if (empty($result) || 4 != strlen($result))
						{
							echo("(???)");
						}else
						{
							switch (substr($result,0,1))
							{
								case '1' : echo("신용카드"			); break;
								case 'I' : echo("신용카드"			); break;
								case '2' : echo("실시간계좌이체"	); break;
								case '6' : echo("가상계좌발급"		); break; 
								case 'M' : echo("휴대폰결제"		); break; 
								default  : echo("(????)"			); break; 
							}
						}
						?>
						</td>
					</tr>
					<tr>
						<td class=clsright>성공여부 : </td>
						<td class=clsleft><?echo($authyn)?>(<? if(!empty($authyn) && "O" == $authyn) echo("승인성공"); else echo("승인거절"); ?>)</td>
					</tr>
					<tr>
						<td class=clsright>응답코드 : </td>
						<td class=clsleft><?=$resultcd?></td>
					</tr>
					<tr>
						<td class=clsright>주문번호 : </td>
						<td class=clsleft><?=$ordno?></td>
					</tr>
					<tr>
						<td class=clsright>금액 : </td>
						<td class=clsleft><?=$amt?></td>
					</tr>
					<tr>
						<td class=clsright>거래번호 : </td>
						<td class=clsleft><?echo($trno)?> <font color=red>:KSNET에서 부여한 고유번호입니다. </font></td>
					</tr>
					<tr>
						<td class=clsright>거래일자 : </td>
						<td class=clsleft><?=$trddt?></td>
					</tr>
					<tr>
						<td class=clsright>거래시간 : </td>
						<td class=clsleft><?=$trdtm?></td>
					</tr>

<? if (!empty($authyn) && "O" == $authyn) { ?>
					<tr>
						<td class=clsright>카드사 승인번호/은행 코드번호 : </td>
						<td class=clsleft><?=getCenter_cd($authno)?><font color=red>:카드사에서 부여한 번호로 고유한값은 아닙니다. </font></td>
					</tr>
<?				}?>
					<tr>
						<td class=clsright>발급사코드/가상계좌번호/계좌이체번호 : </td>
						<td class=clsleft><?=$isscd?></td>
					</tr>
					<tr>
						<td class=clsright>매입사코드 : </td>
						<td class=clsleft><?=$aqucd?></td>
					</tr>
<? if (!empty($authyn) && "O" == $authyn && "1" == substr($trno,0,1)) { ?> <!-- 정상승인의 경우만 영수증출력: 신용카드의 경우만 제공 -->
					<tr>
						<td class=clsright>영수증출력 : </td>
						<td class=clsleft><input type="button" value="영수증출력" onClick="javascript:receiptView('<?echo($trno)?>')"></td>
					</tr>
<?	}
	if (!empty($authyn) && "O" == $authyn && "2" == substr($trno,0,1)) { ?> <!-- 정상승인의 경우만 영수증출력: 계좌이체의 경우만 제공 -->
					<tr>
						<td class=clsright>현금영수증출력 : </td>
						<td class=clsleft><input type="button" value="현금영수증출력" onClick="javascript:CashreceiptView('<?echo($cbtrno)?>')"></td>
					</tr>
<?	}?>
				</table>
<?
	function getCenter_cd($VIRTUAL_CENTERCD){
		if($VIRTUAL_CENTERCD == "39"){
			echo "경남은행";
		}else if($VIRTUAL_CENTERCD == "34"){
			echo "광주은행";
		}else if($VIRTUAL_CENTERCD == "04"){
			echo "국민은행";
		}else if($VIRTUAL_CENTERCD == "11"){
			echo "농협중앙회";
		}else if($VIRTUAL_CENTERCD == "31"){
			echo "대구은행";
		}else if($VIRTUAL_CENTERCD == "32"){
			echo "부산은행";
		}else if($VIRTUAL_CENTERCD == "02"){
			echo "산업은행";
		}else if($VIRTUAL_CENTERCD == "45"){
			echo "새마을금고";
		}else if($VIRTUAL_CENTERCD == "07"){
			echo "수협중앙회";
		}else if($VIRTUAL_CENTERCD == "48"){
			echo "신용협동조합";
		}else if($VIRTUAL_CENTERCD == "26"){
			echo "(구)신한은행";
		}else if($VIRTUAL_CENTERCD == "05"){
			echo "외환은행";
		}else if($VIRTUAL_CENTERCD == "20"){
			echo "우리은행";
		}else if($VIRTUAL_CENTERCD == "71"){
			echo "우체국";
		}else if($VIRTUAL_CENTERCD == "37"){
			echo "전북은행";
		}else if($VIRTUAL_CENTERCD == "23"){
			echo "제일은행";
		}else if($VIRTUAL_CENTERCD == "35"){
			echo "제주은행";
		}else if($VIRTUAL_CENTERCD == "21"){
			echo "(구)조흥은행";
		}else if($VIRTUAL_CENTERCD == "03"){
			echo "중소기업은행";
		}else if($VIRTUAL_CENTERCD == "81"){
			echo "하나은행";
		}else if($VIRTUAL_CENTERCD == "88"){
			echo "신한은행";
		}else if($VIRTUAL_CENTERCD == "27"){
			echo "한미은행";
		}
  }
?>
